Witaj Gościu, jeżeli to czytasz to znaczy że nie jesteś zarejestrowany/zalogowany. Kliknij by się zarejestrować. Rejestracja zajmie mniej niż 30 sekund , a dzięki temu zniknie Ci ten dymek oraz będziesz miał pełne możliwośći personalizacji forum do własnych potrzeb.
gtk+
Pokaż wyniki od 1 do 4 z 4

Temat: gtk+

  1. #1
    Avatar Borry
    Borry jest nieaktywny Gold Member
    Dystrybucja: Debian/Freesco/WinXP
    Dołączył
    Nov 2003
    Skąd
    Z mamusi i tatusia
    Postów
    1,531
    Wątków
    38
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    32
    Reputacja
    6

    gtk+

    Więc instaluje pakiet gtk+ i podczas ./configure wyskakuje coś takiego

    checking for glib-2.0 >= 2.0.0 atk >= 1.0.0 pango >= 1.0.0... Package atk was not found in the pkg-config search path.
    Perhaps you should add the directory containing `atk.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'atk' found

    configure: error: Library requirements (glib-2.0 >= 2.0.0 atk >= 1.0.0 pango >= 1.0.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
    Wszystko pięknie, tylko zarówno glib jak i atk oraz pango mam juz zainstalowane. Tworzę zmienną środowiskową PKG_CONFIG_PATH ze ścieżką do katalogu w którm mam atk.pc . W tym momencie po ./configure wyskakuje mi nasŧepujący cyrk

    ./configure: line 1: expr: command not found
    ./configure: line 182: test: =: unary operator expected
    ./configure: line 1: sed: command not found
    ./configure: line 228: rm: command not found
    ./configure: line 244: rm: command not found
    ./configure: line 1: sed: command not found
    ./configure: line 1: sed: command not found
    : error: cannot find sources (gdk/gdktypes.h) in or ..
    Niestety nie jestem w stanie nic produktywnego tu wymyślić , więc wdzięczny byłbym za jakkolwiek wskaówkę .

  2. Panna Google
    Panna Google jest aktywna
    Avatar Panny Google

    Dołączył
    01-05-2004
    Skąd
    Internet
    Postów
    999
    Pochwał
    159

    Nie lubisz reklam? Zarejestrowani ich nie widzą! Rejestracja





  3. #2
    Avatar Anonymous
    Anonymous Gość

    Re: gtk+

    to sie ciesz ze chociaz panako ci sie zainstalowalo bi mi juz to pokazuje ze nie mam glib 2.1.x choc cut wczesniej je zainstalowalem. Ja mecze sie z tym juz jakies 3tygodnie wiec jak ktos ma jakas propozycjie to z checia wyslucham!

  4. #3
    Dołączył
    Nov 2003
    Postów
    14
    Wątków
    0
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    0
    Reputacja
    1
    proponuje zainstalowac wersje devel. bez tego kompilacja ani rusz!

  5. #4
    Dołączył
    Dec 2003
    Postów
    7
    Wątków
    1
    Downloads
    0
    Uploads
    0
    Siła Reputacji
    0
    Reputacja
    1

    Działa!:)

    Tak... posiedziałem kilka godzin i oto do czego doszedłem ...
    Przydadzą sie jeszcze takie paczki(przynajmniej mi sie przydały):


    'pkgconfig' (ja zainstalowałem 0.15)- do pobrania http://www.freedesktop.org/software/pkgconfig
    i
    'fontconfig' (u mnie 2.2- do pobrania z http://nexp.cs.pdx.edu/fontconfig/



    po zainstalowaniu pkgconfig skonczyly sie problemy z wyszukaniem bibiotem atk... (o ktorych wspokniałeś...) ... jakas nie zgodnosc... jestem jeszcze swierzy na Linxie, ale jak zauwazyles pewnie katalogi sie nie zgadzaja (przynajmniej u mnie tak bylo-domyslnie isntalował w pkgconfig a on szukał w pkg-config i był flood... )
    moje eksperymenty z ./configure --prefix=... nie daly za duzo...ale kompilacja pkgconfig -pomimo jakichś "warning'ow" załatwiła sprawe

    potem wyskoczył jeszcze o X'y.. -właśnie o fontconfig'a...
    ale pobranie i skompilowanie go nie sprawia wiekszego kłopotu ...
    Żeby dojsc do tego stracilem kupe czasu ale ciesze sie ze wreszcie mam GTK

    po tym
    ./configure
    poszło jak burza
    potem 'make' (troche to trwa nawet na moim ATH 2000 )
    i 'make install' nie stwarzał juz problemow

    Mam nadzieje ze sie odpali
    Pozdro
    PAX VOBIS CUM!

Informacje o wątku

Users Browsing this Thread

Aktualnie 1 użytkownik(ów) przegląda ten wątek. (0 zarejestrowany(ch) oraz 1 gości)

Uprawnienia

  • Nie możesz zakładać nowych wątków
  • Nie możesz pisać wiadomości
  • Nie możesz dodawać załączników
  • Nie możesz edytować swoich postów
  •